Package mvpa :: Package clfs :: Module kernel

[hide private]
[frames] | no frames]

# Module kernel

source code

Kernels for Gaussian Process Regression and Classification.

Classes | [hide private]

| Kernel Kernel function base class.
| KernelConstant The constant kernel class.
| KernelLinear The linear kernel class.
| KernelExponential The Exponential kernel class.
| KernelSquaredExponential The Squared Exponential kernel class.
| KernelMatern_3_2 The Matern kernel class for the case ni=3/2 or ni=5/2.
| KernelMatern_5_2 The Matern kernel class for the case ni=5/2.
| KernelRationalQuadratic The Rational Quadratic (RQ) kernel class.

Variables | [hide private]

| _DEV__DOC__ = ``...``
| kernel_dictionary = `{'constant': KernelConstant, 'linear': Ker`...``

Imports: N, InvalidHyperparameterError, squared_euclidean_distance, debug, warning

Variables Details | [hide private]

### _DEV__DOC__

Value:

      """
      Make use of Parameter Collections to keep parameters of the
      kernels. Then we would get a uniform .reset() functionality. Now reset
      is provided just for parts which are failing in the unittests, but
      there is many more places where they are not reset properly if
      classifier gets trained on some new data of different dimensionality
      """

### kernel_dictionary

Value:

      {'constant': KernelConstant, 'linear': KernelLinear, 'exponential': Ke
      rnelExponential, 'squared exponential': KernelSquaredExponential, 'Mat
      ern ni=3/2': KernelMatern_3_2, 'Matern ni=5/2': KernelMatern_5_2, 'rat
      ional quadratic': KernelRationalQuadratic}